com.genesyslab.wfm8.API.service.schedule810

## Class SchAgentDayDetails

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule810.SchAgentDayDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayDetails
      extends java.lang.Object
      implements java.io.Serializable

  Request details for `SchAgentDay`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `excludeStates` Specifies what state types (`ESchStateType`) to exclude from returned Agent Day.
    `protected int` | `excludeStatesNSizeIs` A number of elements in excludeStates array
    `protected boolean` | `provideActivitySetInfo` Tells whether to fill-in schActivitySetInfo field in SchAgentDay
    `protected boolean` | `provideOvertime` Tells whether to calculate "wmOvertimeMinutes" field in Schedule Day returned
    `protected boolean` | `provideStateInfo` Specifies to provide schedule state descriptive info or not
    `protected boolean` | `provideTradeEligibility` Tells whether to check "eligibleForTrade" field in Schedule Day returned
    `private static long` | `serialVersionUID`
    `protected int` | `stateLayout` State layout `ESchStateLayout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getExcludeStates()` Gets the value of the excludeStates property.
    `int` | `getExcludeStatesNSizeIs()` Gets the value of the excludeStatesNSizeIs property.
    `int` | `getStateLayout()` Gets the value of the stateLayout property.
    `int` | `hashCode()`
    `boolean` | `isProvideActivitySetInfo()` Gets the value of the provideActivitySetInfo property.
    `boolean` | `isProvideOvertime()` Gets the value of the provideOvertime property.
    `boolean` | `isProvideStateInfo()` Gets the value of the provideStateInfo property.
    `boolean` | `isProvideTradeEligibility()` Gets the value of the provideTradeEligibility property.
    `void` | `setExcludeStates(java.util.List<java.lang.Integer> excludeStates)` Sets the value of the excludeStates property.
    `void` | `setExcludeStatesNSizeIs(int value)` Sets the value of the excludeStatesNSizeIs property.
    `void` | `setProvideActivitySetInfo(boolean value)` Sets the value of the provideActivitySetInfo property.
    `void` | `setProvideOvertime(boolean value)` Sets the value of the provideOvertime property.
    `void` | `setProvideStateInfo(boolean value)` Sets the value of the provideStateInfo property.
    `void` | `setProvideTradeEligibility(boolean value)` Sets the value of the provideTradeEligibility property.
    `void` | `setStateLayout(int value)` Sets the value of the stateLayout property.
    `java.lang.String` | `toString()`
    `SchAgentDayDetails` | `withExcludeStates(java.util.Collection<java.lang.Integer> values)`
    `SchAgentDayDetails` | `withExcludeStates(java.lang.Integer... values)`
    `SchAgentDayDetails` | `withExcludeStatesNSizeIs(int value)`
    `SchAgentDayDetails` | `withProvideActivitySetInfo(boolean value)`
    `SchAgentDayDetails` | `withProvideOvertime(boolean value)`
    `SchAgentDayDetails` | `withProvideStateInfo(boolean value)`
    `SchAgentDayDetails` | `withProvideTradeEligibility(boolean value)`
    `SchAgentDayDetails` | `withStateLayout(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### stateLayout

          protected int stateLayout

      State layout `ESchStateLayout`

    - #### excludeStatesNSizeIs

          protected int excludeStatesNSizeIs

      A number of elements in excludeStates array

    - #### excludeStates

          protected java.util.List<java.lang.Integer> excludeStates

      Specifies what state types (`ESchStateType`) to exclude from returned Agent Day. Can be NULL, meaning "don't exclude any state type"

    - #### provideStateInfo

          protected boolean provideStateInfo

      Specifies to provide schedule state descriptive info or not

    - #### provideTradeEligibility

          protected boolean provideTradeEligibility

      Tells whether to check "eligibleForTrade" field in Schedule Day returned

    - #### provideOvertime

          protected boolean provideOvertime

      Tells whether to calculate "wmOvertimeMinutes" field in Schedule Day returned

    - #### provideActivitySetInfo

          protected boolean provideActivitySetInfo

      Tells whether to fill-in schActivitySetInfo field in SchAgentDay

  - ### Constructor Detail

    - #### SchAgentDayDetails

          public SchAgentDayDetails()

  - ### Method Detail

    - #### getStateLayout

          public int getStateLayout()

      Gets the value of the stateLayout property.

    - #### setStateLayout

          public void setStateLayout(int value)

      Sets the value of the stateLayout property.

    - #### getExcludeStatesNSizeIs

          public int getExcludeStatesNSizeIs()

      Gets the value of the excludeStatesNSizeIs property.

    - #### setExcludeStatesNSizeIs

          public void setExcludeStatesNSizeIs(int value)

      Sets the value of the excludeStatesNSizeIs property.

    - #### getExcludeStates

          public java.util.List<java.lang.Integer> getExcludeStates()

      Gets the value of the excludeStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the excludeStates property.

      For example, to add a new item, do as follows:

              getExcludeStates().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### isProvideStateInfo

          public boolean isProvideStateInfo()

      Gets the value of the provideStateInfo property.

    - #### setProvideStateInfo

          public void setProvideStateInfo(boolean value)

      Sets the value of the provideStateInfo property.

    - #### isProvideTradeEligibility

          public boolean isProvideTradeEligibility()

      Gets the value of the provideTradeEligibility property.

    - #### setProvideTradeEligibility

          public void setProvideTradeEligibility(boolean value)

      Sets the value of the provideTradeEligibility property.

    - #### isProvideOvertime

          public boolean isProvideOvertime()

      Gets the value of the provideOvertime property.

    - #### setProvideOvertime

          public void setProvideOvertime(boolean value)

      Sets the value of the provideOvertime property.

    - #### isProvideActivitySetInfo

          public boolean isProvideActivitySetInfo()

      Gets the value of the provideActivitySetInfo property.

    - #### setProvideActivitySetInfo

          public void setProvideActivitySetInfo(boolean value)

      Sets the value of the provideActivitySetInfo property.

    - #### withStateLayout

          public SchAgentDayDetails withStateLayout(int value)

    - #### withExcludeStatesNSizeIs

          public SchAgentDayDetails withExcludeStatesNSizeIs(int value)

    - #### withExcludeStates

          public SchAgentDayDetails withExcludeStates(java.lang.Integer... values)

    - #### withExcludeStates

          public SchAgentDayDetails withExcludeStates(java.util.Collection<java.lang.Integer> values)

    - #### withProvideStateInfo

          public SchAgentDayDetails withProvideStateInfo(boolean value)

    - #### withProvideTradeEligibility

          public SchAgentDayDetails withProvideTradeEligibility(boolean value)

    - #### withProvideOvertime

          public SchAgentDayDetails withProvideOvertime(boolean value)

    - #### withProvideActivitySetInfo

          public SchAgentDayDetails withProvideActivitySetInfo(boolean value)

    - #### setExcludeStates

          public void setExcludeStates(java.util.List<java.lang.Integer> excludeStates)

      Sets the value of the excludeStates property.
      Parameters:
        `excludeStates` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.